Geo::GoogleEarth::Pluggable::Constructor(3pm)

NAME
Geo::GoogleEarth::Pluggable::Constructor - Geo::GoogleEarth::Pluggable Constructor package

SYNOPSIS
  use base qw{Geo::GoogleEarth::Pluggable::Constructor};

DESCRIPTION
The is the constructor for all Geo::GoogleEarth::Pluggable packages.

USAGE

CONSTRUCTOR

  new
  my $document = Geo::GoogleEarth::Pluggable->new(key1=>value1,
                                                  key2=>[value=>{opt1=>val1}],
                                                  key3=>{value=>{opt2=>val2}});

METHODS

  document
Always returns the document object. Every object should know what document it is in.

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable creates a GoogleEarth Document.